<template>
    <div class="row mt50">
        <div class="col-12 logout">
            <small @click="logout()">гарах</small>
        </div>
        <div class="col-4">
            <div class="profile pa10">
                <div class="inner">
                    <div class="title">-Профайл-
                        <!-- {{$loadingRouteData}} -->
                    </div>
                    <hr>
                    <h6>{{user.name}}</h6>
                    <div class="subtitle">
                        <small>эмч</small>
                    </div>
                    <div class="avatar">
                        <img src="../assets/avatar.png" alt />
                    </div>
                    <div class="btn">Засах</div>
                </div>
            </div>
        </div>
        <div class="col-4">
            <div class="work-schedule pa10">
                <div class="inner">
                    <div class="title">-Ажлын хуваарь-</div>
                    <hr>
                    <table>
                        <tbody>
                            <tr>
                                <td>Даваа</td>
                                <td>{{workSchedule['Даваа']}}</td>
                            </tr>
                            <tr>
                                <td>Мягмар</td>
                                <td>{{workSchedule['Мягмар']}}</td>
                            </tr>
                            <tr>
                                <td>Лхагва</td>
                                <td>{{workSchedule['Лхагва']}}</td>
                            </tr>
                            <tr>
                                <td>Пүрэв</td>
                                <td>{{workSchedule['Пүрэв']}}</td>
                            </tr>
                            <tr>
                                <td>Баасан</td>
                                <td>{{workSchedule['Баасан']}}</td>
                            </tr>
                            <tr>
                                <td>Бямба</td>
                                <td>{{workSchedule['Бямба']}}</td>
                            </tr>
                            <tr>
                                <td>Ням</td>
                                <td>{{workSchedule['Ням']}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-4">
            <div class="survey-schedule pa10">
                <div class="inner">
                    <div class="title">-Үзлэгийн хуваарь-</div>
                    <hr>
                    <div id="mini-clndr">

                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import Auth from '../auth/index'
    import '../assets/style.css'
    import $ from 'jquery'
    import moment from 'moment'
    import clndr_template from '!!imports?_=underscore&moment=moment!underscore-template-loader!../assets/mini-clndr-template.html'

    moment.locale('mn')

    const currentMonth = moment().format('YYYY-MM')
    const nextMonth = moment().add(1, 'month').format('YYYY-MM')
    const events = [
        {date: currentMonth + '-' + '10', title: 'Санжаадамба', location: 'Араа авахуулна', url: 'javascript:void(0)'},
        {date: currentMonth + '-' + '19', title: 'Хүрлээ', location: 'Ломбо хийлгэнэ', url: 'javascript:void(0)'},
        {date: currentMonth + '-' + '23', title: 'Сүхээ', location: 'Үзлэг', url: 'javascript:void(0)'},
        {date: nextMonth + '-' + '07',    title: 'Цэцэгхорол', location: 'Эмчилгээ', url: 'javascript:void(0)'}
    ]
    export default {
      data() {
          return {
              user: {name: ''},
              workSchedule: {}
          }
      },
      methods: {
          logout() {
              Auth.logout()
              this.$router.go('/login')
          }
      },
      route: {
          data(transition) {
              return Promise.all([
                  this.$http.get(Auth.PROFILE_URL, null, {headers: Auth.getAuthHeader()}),
                  this.$http.get(Auth.WORK_SCHEDULE_URL, null, {headers: Auth.getAuthHeader()})
                //   this.$http.get(Auth.SURVEY_SCHEDULE_URL, null, {headers: Auth.getAuthHeader()})
              ]).then(([user, workSchedule]) => {
                  return {
                      user: user.data,
                      workSchedule: workSchedule.data
                  }
              }, () => {
                  transition.redirect('/login')
              })
          },
          canActivate(transition) {
              if (!Auth.user.authenticated) {
                  transition.redirect('/login')
              }
              return true
          }
      },
      ready() {
          $('#mini-clndr').clndr({
              render(data) {
                  return clndr_template(data)
              },
              weekOffset: 0,
              daysOfTheWeek: ['Да', 'Мя', 'Лх', 'Пү', 'Ба', 'Бя', 'Ня'],
              events: events,
              clickEvents: {
                  click(target) {
                      if (target.events.length) {
                          const daysContainer = $('#mini-clndr').find('.days-container')
                          daysContainer.toggleClass('show-events', true)
                          $('#mini-clndr').find('.x-button').click(() => daysContainer.toggleClass('show-events', false))
                      }
                  }
              },
              adjacentDaysChangeMonth: true,
              forceSixRows: true
          })
      }
    }
</script>

<style scoped>
    hr {
        border: none;
        border-bottom: 1px solid rgba(255, 255, 255, 0.3);
    }
    .inner .title {
        text-align: center;
        color: rgba(0, 0, 0, 0.5);
        font-size: 14px;
    }
    .profile {
        background-color: #ebc85e;
    }
    .work-schedule {
        background-color: #3bbec0;
    }
    .work-schedule table {
        color: #fff;
        width: 100%;
    }
    .survey-schedule {
        background-color: #e87352;
    }

    .profile .inner h6 {
        color: #56462a;
        font-weight: bold;
        text-align: center;
        margin: 0;
    }
    .profile .subtitle {
        text-align: center;
    }
    .profile .subtitle small {
        color: #836d48;
    }
    .profile .avatar {
        width: 90px;
        height: 90px;
        margin: 22px auto 22px;
        border: 2px solid #a1875c;
        padding: 3px;
        border-radius: 50%;
    }
    .profile .avatar img {
        display: block;
        width: 90px;
        height: 90px;
        border-radius: 50%;
    }
    .profile .inner .btn {
        font-family: myRoboto;
        border-radius: 0;
        background-color: #a48b60;
        display: block;
        text-transform: uppercase;
    }
    .logout {
        text-align: right;
    }
    .logout small {
        color: #fff;
        cursor: pointer;
    }

</style>
